Cohort segments
List Cohort Segments
Get cohort segments for the current project.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
projectId*string
Query Parameters
search?string
assignedPoolId?string
page*string
Default
"1"Match
^[0-9]+$size*string
Default
"25"Match
^[0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/cohort-segments/?page=1&size=25"{
"status": "success",
"message": "string",
"data": [
{
"id": "string",
"createdDate": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"customerPool": {
"id": "string",
"name": "string",
"poolLevel": "organization",
"description": "string"
}
}
],
"metaData": {
"page": 0,
"hasMore": true,
"pageSize": 0,
"count": 0
},
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}